
{-# LANGUAGE TemplateHaskell #-}

-- | Embedding of a default set of parameters. These are encoded in Vienna style and
-- use the Turner2004 set of parameters.

module Biobase.DataSource.Vienna.Default
  ( turner2004GH
  ) where

import Data.FileEmbed
import qualified Data.ByteString.Char8 as B

import Biobase.DataSource.Vienna.Import.ViennaPar
import Biobase.DataSource.Turner.Tables
import Biobase.DataSource.Vienna
import Biobase.Types.Energy



defaultPars :: B.ByteString
defaultPars = $(embedFile "parfiles/Turner2004GH.par")

-- Turner entropy and enthalpy tables.

turner2004GH = (dmap Energy ta,dmap Energy tb) where
  (ta,tb) = importPar $ B.unpack defaultPars
